pcl::ConstCloudIterator< PointT >::ConstIteratorIdx Class Reference

`#include <pcl/impl/cloud_iterator.hpp>`

Inherits pcl::ConstCloudIterator< PointT >::Iterator.

## Public Member Functions

| ConstIteratorIdx (const PointCloud< PointT > &cloud, const std::vector< int > &indices)
| ConstIteratorIdx (const PointCloud< PointT > &cloud, const PointIndices &indices)
virtual | ~ConstIteratorIdx ()
void | operator++ ()
void | operator++ (int)
const PointT & | operator* () const
const PointT * | operator-> () const
unsigned | getCurrentPointIndex () const
unsigned | getCurrentIndex () const
size_t | size () const
void | reset ()
bool | isValid () const

## Detailed Description

### template<typename PointT>
class pcl::ConstCloudIterator< PointT >::ConstIteratorIdx

Author
  Suat Gedikli

Definition at line 256 of file cloud_iterator.hpp.

## Constructor & Destructor Documentation

## ConstIteratorIdx() [1/2]

template<typename PointT>

pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::ConstIteratorIdx | ( | const PointCloud< PointT > & | cloud,
|  | const std::vector< int > & | indices
| ) |  |

inline

Definition at line 259 of file cloud_iterator.hpp.

## ConstIteratorIdx() [2/2]

template<typename PointT>

pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::ConstIteratorIdx | ( | const PointCloud< PointT > & | cloud,
|  | const PointIndices & | indices
| ) |  |

inline

Definition at line 267 of file cloud_iterator.hpp.

## ~ConstIteratorIdx()

template<typename PointT>

virtual pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::~ConstIteratorIdx | ( |  | ) |

inline virtual

Definition at line 275 of file cloud_iterator.hpp.

## Member Function Documentation

## getCurrentIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::getCurrentIndex | ( |  | ) | const

inline

Definition at line 302 of file cloud_iterator.hpp.

## getCurrentPointIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::getCurrentPointIndex | ( |  | ) | const

inline

Definition at line 297 of file cloud_iterator.hpp.

## isValid()

template<typename PointT>

bool pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::isValid | ( |  | ) | const

inline

Definition at line 317 of file cloud_iterator.hpp.

## operator*()

template<typename PointT>

const PointT& pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator* | ( |  | ) | const

inline

Definition at line 287 of file cloud_iterator.hpp.

## operator++() [1/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator++ | ( |  | ) |

inline

Definition at line 277 of file cloud_iterator.hpp.

## operator++() [2/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator++ | ( | int |  | ) |

inline

Definition at line 282 of file cloud_iterator.hpp.

## operator->()

template<typename PointT>

const PointT* pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::operator-> | ( |  | ) | const

inline

Definition at line 292 of file cloud_iterator.hpp.

## reset()

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::reset | ( |  | ) |

inline

Definition at line 312 of file cloud_iterator.hpp.

## size()

template<typename PointT>

size_t pcl::ConstCloudIterator< PointT >::ConstIteratorIdx::size | ( |  | ) | const

inline

Definition at line 307 of file cloud_iterator.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/cloud_iterator.hpp